Bug 113829 - rtagging the whole repo spits error
rtagging the whole repo spits error
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: cvs (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 23:41 EST by Behdad Esfahbod
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-04 08:07:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2004-01-18 23:41:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
In this new version of cvs, doing 'cvs rtag test .' always drops an
assertion fail.  The important part is the dot that I want to tag
(whole repo).

This used to work, and even it works with all other cvs commands I
tested.  But with rtag it says:

cvs: recurse.c:639: do_recursion: Assertion `strstr ( repository,
"/./" ) == ((void *)0)' failed.
cvs [rtag aborted]: received abort signal

Well, and if you check line 639 in recurse.c you see the assertion
added.  I don't know why having a "/./" is assumed dangerous.

It actually broke some of my scripts so I found it out.  And sorry
that I'm reporting here, as I couldn't find any way to report cvs bugs.


Version-Release number of selected component (if applicable):
1.11.11

How reproducible:
Always

Steps to Reproduce:
1. cvs -d ~/xxx init
2. cvs -d ~/xxx rtag test .

    

Actual Results:  cvs: recurse.c:639: do_recursion: Assertion `strstr (
repository, "/./" ) == ((void *)0)' failed.
cvs [rtag aborted]: received abort signal


Expected Results:  no error

Additional info:

I don't know if simply removing the line is an option or not.

Note You need to log in before you can comment on or make changes to this bug.